//	Palm App Name:   		"Frodo"
//
//	Palm App Version:		"4.2"

// String-Resources
#define StringErrNone                     1000
#define StringExpErrCardReadOnly          1001
#define StringExpErrNotOpen               1002
#define StringVfsErrBadName               1003
#define StringVfsErrFileNotFound          1004
#define StringVfsErrFilePermissionDenied  1005
#define StringVfsErrVolumeBadRef          1006
#define StringSaveFileErrDefault          1007


#define StringErrOutOfMemoryCreating      1010
#define StringErrUnknownError             1011
#define StringErrCreateArmletData         1012
#define StringErrWrongOSVersion           1013
#define StringErrNoARM                    1014
#define StringErrNoHIRES                  1015
#define StringErrNo320                    1016
#define StringErrNoScreenWidth            1017
#define StringErrHiresWithout320          1018
#define StringErrNoScreenHeight           1019
#define StringErrScreenHeightToSmall      1020
#define StringErrArmletToBig              1021
#define StringErrNoFeatureForArmlet       1022
#define StringErrFeatureWriteFailed       1023

#define StringErrResourceNotFound         1025
#define StringErrRecoverFailed            1026
#define StringErrOutOfMemoryLoading       1027
#define StringErrWriteToSD                1028
#define StringErrFailedToCreateIndex      1029
#define StringErrFailedToLockHandle       1030
#define StringErrFailedToLoadSnap         1031
#define StringErrFailedToLoadDiskImage    1032
#define StringErrFailedToWriteSnap        1033
#define StringErrNoMemoryForScan          1034
#define StringErrFailedToCreateDB         1035
#define StringErrFailedToOpenDB           1036
#define StringErrFailedToCreateSnap       1037
#define StringErrFailedToOpenSecDB        1038
#define StringErrDetachFailed             1039
#define StringErrLostSomeData             1040
#define StringErrSilentCreateDB           1041
#define StringErrNoSoundBuffer            1042
#define StringErrFailedToStartSound       1043
#define StringErrFailedToChangePalette    1044
#define StringErrBmpCreate                1045
#define StringErrNoHiresBitmap            1046
#define StringErrBmpBitsNotAligned        1047
#define StringErrFailedToGetBmpBits       1048
#define StringErrFailedToChangeScreenMode 1049
#define StringErrBadScreenMode            1050
#define StringWarnBadTimingParam          1051
#define StringErrNoPrefsToSave            1052
#define StringErrNoMemForARM              1053
#define StringWarn1541Off                 1054
#define StringErrDmWriteFailed						1055
#define StringErrStartFromCard            1056


//	Resource: tFRM 1000
#define MainForm                                  1000
#define MainUnnamed1067BitMap                     1100
#define MainFirstKeyGraphicButton                 1001
#define MainUnnamed1002GraphicButton              1002
#define MainUnnamed1003GraphicButton              1003
#define MainUnnamed1004GraphicButton              1004
#define MainUnnamed1005GraphicButton              1005
#define MainUnnamed1006GraphicButton              1006
#define MainUnnamed1007GraphicButton              1007
#define MainUnnamed1008GraphicButton              1008
#define MainUnnamed1009GraphicButton              1009
#define MainUnnamed1010GraphicButton              1010
#define MainUnnamed1011GraphicButton              1011
#define MainUnnamed1012GraphicButton              1012
#define MainUnnamed1013GraphicButton              1013
#define MainUnnamed1014GraphicButton              1014
#define MainClearHomeGraphicButton                1015
#define MainInsertDeleteGraphicButton             1016
#define MainF12GraphicButton                      1017
#define MainControlGraphicButton                  1018
#define MainUnnamed1019GraphicButton              1019
#define MainUnnamed1020GraphicButton              1020
#define MainUnnamed1021GraphicButton              1021
#define MainUnnamed1022GraphicButton              1022
#define MainUnnamed1023GraphicButton              1023
#define MainUnnamed1024GraphicButton              1024
#define MainUnnamed1025GraphicButton              1025
#define MainUnnamed1026GraphicButton              1026
#define MainUnnamed1027GraphicButton              1027
#define MainUnnamed1028GraphicButton              1028
#define MainUnnamed1029GraphicButton              1029
#define MainUnnamed1030GraphicButton              1030
#define MainUnnamed1031GraphicButton              1031
#define MainRestoreGraphicButton                  1032
#define MainF34GraphicButton                      1033
#define MainRunStopGraphicButton                  1034
#define MainShiftLockGraphicButton                1035
#define MainUnnamed1036GraphicButton              1036
#define MainUnnamed1037GraphicButton              1037
#define MainUnnamed1038GraphicButton              1038
#define MainUnnamed1039GraphicButton              1039
#define MainUnnamed1040GraphicButton              1040
#define MainUnnamed1041GraphicButton              1041
#define MainUnnamed1042GraphicButton              1042
#define MainUnnamed1043GraphicButton              1043
#define MainUnnamed1044GraphicButton              1044
#define MainUnnamed1045GraphicButton              1045
#define MainUnnamed1046GraphicButton              1046
#define MainUnnamed1047GraphicButton              1047
#define MainReturnGraphicButton                   1048
#define MainF56GraphicButton                      1049
#define MainCommodoreGraphicButton                1050
#define MainShiftLeftGraphicButton                1051
#define MainUnnamed1052GraphicButton              1052
#define MainUnnamed1053GraphicButton              1053
#define MainUnnamed1054GraphicButton              1054
#define MainUnnamed1055GraphicButton              1055
#define MainUnnamed1056GraphicButton              1056
#define MainUnnamed1057GraphicButton              1057
#define MainUnnamed1058GraphicButton              1058
#define MainUnnamed1059GraphicButton              1059
#define MainUnnamed1060GraphicButton              1060
#define MainUnnamed1061GraphicButton              1061
#define MainShiftRightGraphicButton               1062
#define MainUnnamed1063GraphicButton              1063
#define MainUnnamed1064GraphicButton              1064
#define MainF78GraphicButton                      1065
#define MainSpaceGraphicButton                    1066

//	Resource: tFRM 1100
#define AboutForm                                 1100
#define AboutOKButton                             1102
#define AboutAboutLabel                           1101

//	Resource: tFRM 1300
#define ObscureForm                               1300
#define ObscureOKButton                           1318
#define ObscureCancelButton                       1319
#define ObscureSpritesCheckbox                    1311
#define ObscureSpriteCollisionsCheckbox           1312
#define ObscureFastResetCheckbox                  1314
#define ObscureCIAHackCheckbox                    1315
#define ObscureEmulate1541Checkbox                1316
#define ObscureSaveToSD                           1320
#define ObscureSaveToSDList                       1321
#define ObscureSaveToSDPopTrigger                 1322
#define ObscureTrackNumberCheckbox								1323
#define ObscureSingleCycleCheckbox                1324

//	Resource: tFRM 1200
#define JoystickForm                              1200
#define JoystickUpButton                          1205
#define JoystickLeftButton                        1207
#define JoystickRightButton                       1208
#define JoystickDownButton                        1211
#define JoystickFireButton                        1213
#define JoystickOKButton                          1218
#define JoystickCancelButton                      1219
#define JoystickEmulate1Checkbox                  1202
#define JoystickEmulate2Checkbox                  1203
#define JoystickJoyPenScreenCheckbox              1216
#define JoystickJoyPenGraffitiCheckbox            1217
#define JoystickEmulatejoystickLabel              1201
#define JoystickUpLabel                           1204
#define JoystickLeftLabel                         1206
#define JoystickRightLabel                        1209
#define JoystickDownLabel                         1210
#define JoystickFirebuttonLabel                   1212
#define JoystickFireLabel                         1214
#define JoystickJoyPenLabel                       1215
#define JoystickGroupID                           1

//	Resource: tFRM 1400
#define SampleKeyForm                             1400
#define SampleKeyCancelButton                     1401
#define SampleKeyOKButton                         1403
#define SampleKeySampleButton                     1404
#define SampleKeyInstructionLabel                 1402
#define SampleKeyKeyLabel                         1405

//	Resource: tFRM 1500
#define FileForm                                  1500
#define FileLoadButton                            1502
#define FileSaveButton                            1503
#define FileDeleteButton                          1504
#define FileExitButton                            1505
#define FileFileList                              1501
#define FileCathegoryList                         1507
#define FileCathegoryPopTrigger                   1506
#define FileLoadRunButton                         1507

//	Resource: tFRM 1600
#define SaveAsForm                                1600
#define SaveAsOKButton                            1603
#define SaveAsCancelButton                        1604
#define SaveAsNameField                           1601
#define SaveAsUnnamed1602Label                    1602
#define SaveAsSDCardCheckbox                      1605

//	Resource: tFRM 1700
#define GfxSoundForm                              1700
#define GfxSoundOKButton                          1709
#define GfxSoundCancelButton                      1710
#define GfxSoundTurboCheckbox                     1702
#define GfxSoundSIDFiltersCheckbox                1704
#define GfxSoundFPSLabel                          1701
#define GfxSoundUnnamed1706Label                  1706
#define GfxSoundVolumeLabel                       1708
#define GfxSoundFrameskipList                     1703
#define GfxSoundScreenModeList                    1712
#define GfxSoundFrameskipPopTrigger               1705
#define GfxSoundScreenModePopTrigger              1707
#define GfxSoundVolumeFeedbackSliderControl       1711
#define GfxSoundSpeedLimitLabel                   1713
#define GfxSoundSpeedLimitFeedbackSliderControl   1714

//  Resource: tFRM 1800
#define KeyboardForm                              1800
#define KeyboardOKButton                          1801
#define KeyboardMapTable                          1802

//  Resource: tFRM 1900
#define ColorsForm                                1900
#define ColorsOKButton                            1901
#define ColorsCancelButton                        1902
#define ColorsPresetLabel                         1903
#define ColorsPresetList                          1904
#define ColorsPresetPopTrigger                    1905
#define ColorsTable                               1906

//  Resource: tFRM 2000
#define CommandsForm                              2000
#define CommandsOKButton                          2001
#define CommandsCancelButton                      2002
#define CommandsTitle1Label                       2010
#define CommandsTitle2Label                       2011
#define CommandsTitle3Label                       2012
#define CommandsTitle4Label                       2013
#define CommandsTitle5Label                       2014
#define CommandsTextDescLabel                     2020
#define CommandsTitleFirst                        2030
#define CommandsTitle2                            2031
#define CommandsTitle3                            2032
#define CommandsTitle4                            2033
#define CommandsTitle5                            2034
#define CommandsCommand                           2040


// Resource: Alert 1000
#define GeneralDebug															1000
#define AskUserAlert                              1001
#define GeneralError                              1002
#define GeneralInfo                               1003


//	Resource: MBAR 1000
#define MainMenuBar                               1000

//	Resource: MBAR 1100
//#define FileMenuBar                               1100


//	Resource: MENU 1000
#define GameMenu                                  1000
#define GameFilemanager                           1000
#define GameSaveAs                                1001
#define GameQuicksave                             1002
#define GameQuickload                             1003
#define GamePause                                 1004
#define GameReset                                 1005

//	Resource: MENU 1100
#define OptionsMenu                               1100
#define OptionsSwapjoysticks                      1101
#define OptionsSwitchEmulMode                     1102
#define OptionsGraphicsandsound                   1103
#define OptionsJoystick                           1104
#define OptionsObscure                            1105
#define OptionsSwitch1541Mode                     1106
#define OptionsAboutFrodo                         1107
#define OptionsKeyboard                           1108
#define OptionsColors                             1109
#define OptionsCommands                           1110

//	Resource: MENU 1200
#define CommandsMenu                              1200
#define CommandsMenuDummy                         1201
#define CommandsMenuFirst                         1202

//	Resource: PICT 1000
#define BWBitmap                                  1000

//	Resource: PICT 1001
#define ColorBitmap                               1001

//	Resource: PICT 1002
#define HiresBitmap                               1002

//	Resource: PICT 1100
#define KeyboardBitmap                            1100

//	Resource: PICT 1101
#define KeyboardShiftBitmap                       1101

//	Resource: PICT 1102
#define KeyboardCmdBitmap                         1102

//	Resource: PICT 1103
#define KeyboardLocaseBitmap                      1103

//	Resource: PICT 1104
#define KeyboardLocaseShiftBitmap                 1104

//	Resource: PICT 1200
#define BitmapID1200Bitmap                        1200

//	Resource: PICT 1201
#define BitmapID1201Bitmap                        1201

//	Resource: PICT 1202
#define BitmapID1202Bitmap                        1202

//	Resource: PICT 1203
#define BitmapID1203Bitmap                        1203

//	Resource: PICT 1204
#define BitmapID1204Bitmap                        1204

//	Resource: PICT 1205
#define BitmapID1205Bitmap                        1205

//	Resource: PICT 1206
#define BitmapID1206Bitmap                        1206

//	Resource: PICT 1207
#define BitmapID1207Bitmap                        1207

//	Resource: PICT 1208
#define BitmapID1208Bitmap                        1208

//	Resource: PICT 1209
#define BitmapID1209Bitmap                        1209

//	Resource: PICT 1210
#define BitmapID1210Bitmap                        1210

//	Resource: PICT 1211
#define BitmapID1211Bitmap                        1211

//	Resource: PICT 1212
#define BitmapID1212Bitmap                        1212

//	Resource: PICT 1213
#define BitmapID1213Bitmap                        1213

//	Resource: PICT 1214
#define BitmapID1214Bitmap                        1214

//	Resource: PICT 1215
#define BitmapID1215Bitmap                        1215

//	Resource: PICT 1216
#define BitmapID1216Bitmap                        1216

//	Resource: PICT 1217
#define BitmapID1217Bitmap                        1217

//	Resource: PICT 1218
#define BitmapID1218Bitmap                        1218


//	Resource: tbmf 1100
#define KeyboardBitmapFamily                      1100

//	Resource: tbmf 1101
#define KeyboardShiftBitmapFamily                 1101

//	Resource: tbmf 1102
#define KeyboardCmdBitmapFamily                   1102

//	Resource: tbmf 1103
#define KeyboardLocaseBitmapFamily                1103

//	Resource: tbmf 1104
#define KeyboardLocaseShiftBitmapFamily           1104

//	Resource: tbmf 32
#define Tac2BitmapFamily                          32

//	Resource: tbmf 33
#define Tac2NBitmapFamily                         33

//	Resource: tbmf 34
#define Tac2NEBitmapFamily                        34

//	Resource: tbmf 35
#define Tac2EBitmapFamily                         35

//	Resource: tbmf 36
#define Tac2SEBitmapFamily                        36

//	Resource: tbmf 37
#define Tac2SBitmapFamily                         37

//	Resource: tbmf 38
#define Tac2SWBitmapFamily                        38

//	Resource: tbmf 39
#define Tac2WBitmapFamily                         39

//	Resource: tbmf 40
#define Tac2NWBitmapFamily                        40

//	Resource: tbmf 41
#define TacButPressedBitmapFamily                 41

//  Resource: tbmf 512
#define IndicatorNoSCBitmapFamily                 512
#define IndicatorSCBitmapFamily                   513
#define IndicatorNo1541BitmapFamily               514
#define Indicator1541BitmapFamily                 515

//	Resource: tbmp 256
#define EditKeyMappingBitmap                      256


//	Resource: taif 1000
#define LargeAppIconAppIconFamily                 1000

//	Resource: taif 1001
#define LargeIcon2AppIconFamily                   1001


#define fntStandard		4000

// there is no reason why to use the first one available (129)
// actually this is also workaround of bug in ClockPop which redefines font with id 129 which causes crash in Frodo
#define fntStandardID	144
