//
//  PRC.java
//  C64Palmer
//
//  Created by Johan Forsberg on Thu Aug 28 2003.
//  Copyright (c) 2003 __MyCompanyName__. All rights reserved.
//

import java.io.*;

public class PRC {
    ByteArrayOutputStream baos=new ByteArrayOutputStream(1<<16);
    D64Handler d64=new D64Handler();
    T64Handler t64=new T64Handler();
    ZipHandler zip=new ZipHandler();
    
    void addFile(File *f) {
        if (f.isDirectory()) {
            // Recursive add
            File files[]=f.listFiles(new C64FileFilter());
            if (files==null) return;
            
            for (int i=0; i<file.length; i++)
                addFile(files[i]);
            return;
        }
        
        String n=f.getName();
        PDBItem it=null;
        if (n.endsWith(".d64"))
            it=d64.handle(f);
        else if (n.endsWith(".t64"))
            it=t64.handle(f);
        else if (n.endsWith(".zip"))
            it=zip.handle(f);
        
        writeItem(it);
    }
    
    writeItem(PDBItem it) {
    }
    
    void clear() {
        baos.reset();
    }
}
